Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365925 - GA should not unlock screen if it is not locked
Summary: GA should not unlock screen if it is not locked
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-guest-agent
Classification: oVirt
Component: General
Version: 1.0.13
Hardware: Unspecified
OS: Windows
medium
medium vote
Target Milestone: ovirt-4.1.1
: ---
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 14:07 UTC by Jiri Belka
Modified: 2017-04-21 09:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1422801 (view as bug list)
Environment:
Last Closed: 2017-04-21 09:49:27 UTC
oVirt Team: Virt
rule-engine: ovirt-4.1+
rule-engine: exception+
rule-engine: planning_ack+
rule-engine: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71223 master MERGED win32: Do not attempt to login when the desktop is unlocked 2017-02-15 12:47:16 UTC
oVirt gerrit 72356 ovirt-4.1 MERGED win32: Do not attempt to login when the desktop is unlocked 2017-02-15 12:47:53 UTC

Description Jiri Belka 2016-08-10 14:07:42 UTC
Description of problem:

If disconnect action is NONE and console is closed then GA won't receive external command to lock-screen. But on next console opening GA still mimics ctrl-alt-del as part of login which causes an user would see SAS screen even he would expect to be logged in automatically.

The user could click 'Cancel' or hit 'Escape' but this is still little bit annoying.

Thus GA should check when doing login if the screen is or not locked.

Version-Release number of selected component (if applicable):
RVT 4.0-5 GA 56d5da5792258de810189e75b47d75806d1ef3b

How reproducible:
100%

Steps to Reproduce:
1. Windows 7 with GA and SSO configured on 4.0 host which sends correctly NONE for disconnectAction
2. check that SSO works fine by default, close console
3. change VM's settings disconnectAction to NONE
4. open newly console so disconnectAction settings is sent to vdsm
5. see you got automatically logged in
6. close console
7. open console

Actual results:
after 6. the screen is not locked but after 7. the user is not logged in automatically as he needs to type Esc or click Cancel

Expected results:
after 7. he should be automatically logged in

Additional info:

Comment 1 Michal Skrivanek 2016-08-11 07:05:57 UTC
isn't it what "Single Sign On method" does?

Comment 2 Vinzenz Feenstra [evilissimo] 2016-08-11 07:07:40 UTC
(In reply to Michal Skrivanek from comment #1)
> isn't it what "Single Sign On method" does?

The current SSO code does not check that

Comment 6 Jiri Belka 2017-04-12 22:43:30 UTC
ok, wgt 4.1-5


Note You need to log in before you can comment on or make changes to this bug.